%global forgeurl https://github.com/OpenPrinting/hplip-printer-app/

%global commit 2d26fd1c76bd6956e332abeb50b37a32333950b8

%forgemeta

Name:           hplip-printer-app
Version:        0
Release:        1%{?dist}
License:        ASL 2.0
Summary:        Printer Application for hplip printers that uses PAPPL to support IPP printing from multiple operating systems.
URL:	        %{forgeurl}
Source0:        %{forgesource}
Source1:        hplip-printer-app.sysusers
#Services which run as root cannot create listener sockets
Patch0:         hplip-printer-app_service-user.patch
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:  systemd-rpm-macros
BuildRequires:  cups-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libcupsfilters) >= 2.0b1
BuildRequires:  pkgconfig(libpappl-retrofit) >= 1.0b1
BuildRequires:  pkgconfig(libppd) >= 2.0b2
BuildRequires:  pkgconfig(pappl) >= 1.2.1

%description
ps-printer-app is a printer Application for HP and Apollo printers supported by
HP's HPLIP printers that uses PAPPL to support IPP printing from multiple
operating systems. In addition, it uses the resources of cups-filters 2.x
(filter functions in libcupsfilters, libppd) and pappl-retrofit (encapsulating
classic CUPS drivers in Printer Applications).

%prep
%forgesetup

%patch0 -p1

%build
%make_build

%install
%make_install libdir=%{_libdir} serverbin=%{_libdir}/hplip-printer-app

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/hplip-printer-app.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post hplip-printer-app.service

%preun
%systemd_preun hplip-printer-app.service

%postun
%systemd_postun_with_restart hplip-printer-app.service

%files
%license
%{_bindir}/hplip-printer-app
%dir %{_libdir}/hplip-printer-app
%dir %{_libdir}/hplip-printer-app/backend
%{_libdir}/hplip-printer-app/backend/HP
%{_unitdir}/hplip-printer-app.service
%{_mandir}/man1/hplip-printer-app.1.gz
%dir %{_datadir}/hplip-printer-app
%{_datadir}/hplip-printer-app/testpage.ps
%attr(-, hplip-printer-app, hplip-printer-app) %dir %{_sharedstatedir}/hplip-printer-app
%{_sysusersdir}/hplip-printer-app.conf

%changelog
* Thu Feb 2 2023 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20230202git2d26fd1
- Update to 2d26fd1 git snapshot
- Remove unit install workaround since it seems to work on rawhide

* Thu Aug 25 2022 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20220825gitbcce338
- Update to bcce338 git snapshot

* Sun Feb 27 2022 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20220227git5a9c33c
- Update to 5a9c33c git snapshot

* Wed Nov 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20211117git76762f1
- Update to latest git snapshot
- Fix libdir, serverbin make arguments to prevent the destdir being included twice

* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20210926git0b285f1
- Run service as user hplip-printer-app

* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20210926git0b285f1
- Initial specfile
